Konteynerler

Docker paketi artık yok ve öntanımlı olarak çalışmayacak

Docker paketi Fedora 31’den kaldırıldı. Yerine Docker komut satırı arayüzü ve Docker motorunu içeren ana proje paketi moby-engine geldi. Bununla birlikte, bunun yerine komut satırı arayüzü Docker ile uyumlu olan Cgroups v2 uyumlu bir konteyner motoru olan podman kullanmanızı tavsiye ediyoruz.

Fedora 31, Çekirdek bölümünde açıklandığı gibi öntanımlı olarak Cgroups v2 kullanmaktadır. moby-engine paketi henüz Cgroups v2 desteklemiyor, bu nedenle moby-engine veya Docker CE paketini çalıştırmanız gerekiyorsa, systemd.unified_cgroup_hierarchy=0 çekirdek parametresini kullanarak sistemi Cgroups v1 kullanmaya geçirmeniz gerekmektedir. Bunu kalıcı olarak yapmak için aşağıdaki komutu çalıştırın:

grubby --update-kernel=ALL --args="systemd.unified_cgroup_hierarchy=0"